%global pypi_name gtts
%global srcname gTTS

Name:           python-%{pypi_name}
Version:        2.5.4
Release:        %mkrel 1
Summary:        Python library and CLI tool to interface with Google Translate text-to-speech API
Group:          Development/Python
License:        MIT
URL:            https://github.com/ssut/py-googletrans
Source0:        %{pypi_source %pypi_name}
Patch1:         gTTS-reqs.patch
BuildArch:      noarch
BuildRequires:  pyproject-rpm-macros
BuildRequires:  python3-devel

%description
gTTS (Google Text-to-Speech), a Python library and CLI tool to interface with
Google Translate's text-to-speech API.

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
gTTS (Google Text-to-Speech), a Python library and CLI tool to interface with
Google Translate's text-to-speech API.

%prep
%autosetup -n %{pypi_name}-%{version} -p1

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files %{pypi_name}

%files -n python3-%{pypi_name} -f %{pyproject_files}
%doc README.md
%{_bindir}/gtts-cli


%changelog
* Sat Jan 25 2025 daviddavid <daviddavid> 2.5.4-1.mga10
+ Revision: 2142304
- new version: 2.5.4

* Sat Dec 09 2023 wally <wally> 2.3.2-2.mga10
+ Revision: 2016444
- rebuild for py3.12

* Mon Jul 24 2023 wally <wally> 2.3.2-1.mga9
+ Revision: 1964151
- imported package python-gtts

